Update your account information

PATCH
https://api.datawrapper.de/v3/me

Requires scope user:write.

Example Request

curl --request PATCH \
  --url https://api.datawrapper.de/v3/me \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "Carol Danvers",
  "email": "ronin@avengers.com",
  "language": "en_US",
  "password": "13-binary-1968"
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Request Body

FieldTypeAllowed valuesRequiredDescription
namestring
matches ^[^<>'"]*$
NoYour new user name.
emailstring NoYour new email address.
rolestringeditoror admin NoYour new role. This can only be changed if you are an admin.
languagestring NoYour new language preference.
passwordstring
8 characters or more
NoStrong user password.
presenceColorstring
matches ^[a-zA-Z-\d]+$
NoThe preferred color to use for user precense pin.
avatarstring No'' sets the avatar to the initial, while null sets avatar to custom_avatar.
emailNotificationsboolean NoEnable or disable email notifications.
removePasswordbooleantrue NoSet to true to remove your password, leaving OAuth as the sole authentication method.
oauthSigninbooleanfalse NoSetting this to false disconnects any oauth signin providers connected to your account.
slackNotificationsstringstringor false NoSet to false to disconnect the Slack account. Connecting a slack account can only be done in the web app from your user settings.

Response

FieldTypeRequiredDescription
idnumberNo
emailstringNo
namestringNo
languagestringNo
presenceColorstringNo
avatarstringNo